% 
% 
% sčítanie vektorov rôznej dĺky 
% 
% ____________________________________________________

function [vektor3] = vektorplus(vektor1,vektor2)

dlzka1=length(vektor1);
dlzka2=length(vektor2);
if dlzka1 < dlzka2
   vektor3(1:dlzka1)=vektor1(1:dlzka1)+vektor2(1:dlzka1);
   vektor3(dlzka1+1:dlzka2)=vektor2(dlzka1+1:dlzka2);
elseif dlzka1 > dlzka2
   vektor3(1:dlzka2)=vektor1(1:dlzka2)+vektor2(1:dlzka2);
   vektor3(dlzka2+1:dlzka1)=vektor1(dlzka2+1:dlzka1);
else
   vektor3 = vektor1+vektor2;
end